language: cn
model_unique_abbr: GWR_VarSelect_R
version: 1.0
identification:
  docker_image_name: gwmodel:2.2
  docker_run_prefix:
  - /scripts/GWR_VarSelect.r
  model_name: 地理加权回归变量优选
  semantic: standard gwr
  description: 基于地理加权回归的模型智能化选择,在进行地理加权回归之前为进入回归模型的变量进行优选
  category_application: 描述型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 变量优选
  - 智能化
parameter_info:
  parameters:
  - arg_name: f
    param_type: input_data
    name: 矢量空间数据
    description: 带有属性表的矢量数据
    data_type: shp
    #data_semantic: vector space data
    data_semantic: join-varselect
  - arg_name: d
    param_type: param
    name: 因变量
    description: 建立地理加权回归模型时选取的因变量
    data_type: str
    data_semantic: dependent variable
  - arg_name: i
    param_type: param
    name: 自变量
    description: 需要进行优选的自变量
    data_type: str
    data_semantic: independent variable for variable selection
  - arg_name: k
    param_type: param
    name: 核函数
    description: 核函数,根据核函数的距离衰减可以计算权重。枚举类型,核函数可选:gaussian,exponential,bisquare,tricube,boxcar
    is_required: false
    data_type: enum
    data_semantic: kernel function
    specification:
      default: gaussian
      enum:
      - gaussian
      - exponential
      - bisquare
      - tricube
      - boxcar
  - arg_name: a
    param_type: param
    name: 带宽优选指标
    description: 带宽优选指标,可选CV,AIC两种方法
    is_required: false
    data_type: enum
    data_semantic: bandwidth optimization method
    specification:
      default: CV
      enum:
      - CV
      - AIC
  - arg_name: r
    param_type: output_data
    name: 结果图像
    description: 输出变量优选的过程图像pdf
    data_type: pdf
    data_semantic: result of selection procession
  - arg_name: o
    param_type: output_data
    name: 顺序结果
    description: 输出变量优选的顺序,txt格式,可以用于后续地理加权回归的自变量输入
    data_type: txt
    #data_semantic: result of selected independent variables
    data_semantic: varselect-regr
application:
  domain: 基于地理加权回归的模型智能化选择
  objective: 基于地理加权回归的模型智能化选择
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 在研究区域中由回归分析点针对每个变量分别解算,根据AICc或CV来优选变量
operation:
  usage: 基于地理加权回归的模型智能化选择
  exec_example:
  - "docker run -v $PWD/data:/data gwmodel:2.2 /scripts/GWR_VarSelect.r -f /data/VarSelect.shp -d y -i x1,x2,x3,x4,x5,x6,x7 -k \"bisquare\" -a CV  -r result.pdf -o result.txt"
  output_display:
  - 展示模型优选结果的pdf
  - 显示文字txt表现优选变量的顺序
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  - C++
  os:
  - Linux
  - Windows
  parallel:
  - unsupported
  hardware: []
  dependencies:
  - name: GWmodel
    version: 2.2-9
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares:
  - name: GWmodel
    version: 2.2-9
    license: GPL-2
  references:
  - "Lu, B., Charlton, M., Harris, P., et al. 2014. Geographically weighted regression with a non-Euclidean distance metric':' A case study using hedonic house price data. International Journal of Geographical Information Science, 28(4)':'660–681. doi：10.1080/13658816.2013.865739"
